summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
l---------net-firewall/iptables/files1
-rw-r--r--net-firewall/iptables/iptables-9999.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/net-firewall/iptables/files b/net-firewall/iptables/files
new file mode 120000
index 0000000..006bd6c
--- /dev/null
+++ b/net-firewall/iptables/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/net-firewall/iptables/files \ No newline at end of file
diff --git a/net-firewall/iptables/iptables-9999.ebuild b/net-firewall/iptables/iptables-9999.ebuild
new file mode 100644
index 0000000..4a14b60
--- /dev/null
+++ b/net-firewall/iptables/iptables-9999.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/iptables/iptables-1.4.3.2.ebuild,v 1.1 2009/04/06 18:47:54 pva Exp $
+
+inherit eutils toolchain-funcs git
+
+DESCRIPTION="Linux kernel (2.4+) firewall, NAT and packet mangling tools"
+HOMEPAGE="http://www.iptables.org/"
+SRC_URI=""
+
+EGIT_REPO_URI="git://git.netfilter.org/iptables.git"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+DEPEND="virtual/os-headers"
+RDEPEND=""
+
+src_unpack() {
+# unpack ${P}.tar.bz2
+ git_src_unpack
+ cd "${S}"
+
+ local check base=${PORTAGE_CONFIGROOT}/etc/portage/patches
+ for check in {${CATEGORY}/${PF},${CATEGORY}/${P},${CATEGORY}/${PN}}; do
+ EPATCH_SOURCE=${base}/${CTARGET}/${check}
+ [[ -r ${EPATCH_SOURCE} ]] || EPATCH_SOURCE=${base}/${CHOST}/${check}
+ [[ -r ${EPATCH_SOURCE} ]] || EPATCH_SOURCE=${base}/${check}
+ if [[ -d ${EPATCH_SOURCE} ]] ; then
+ EPATCH_SUFFIX="patch"
+ EPATCH_FORCE="yes" \
+ EPATCH_MULTI_MSG="Applying user patches from ${EPATCH_SOURCE} ..." \
+ epatch
+ break
+ fi
+ done
+}
+
+src_compile() {
+ econf \
+ --sbindir=/sbin \
+ --libexecdir=/$(get_libdir) \
+ --enable-devel \
+ --enable-libipq \
+ --enable-shared \
+ --enable-static
+ emake V=1 || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+
+ insinto /usr/include
+ doins include/iptables.h include/ip6tables.h || die
+ insinto /usr/include/iptables
+ doins include/iptables/internal.h || die
+
+ keepdir /var/lib/iptables
+ newinitd "${FILESDIR}"/${PN}-1.3.2.init iptables || die
+ newconfd "${FILESDIR}"/${PN}-1.3.2.confd iptables || die
+ keepdir /var/lib/ip6tables
+ newinitd "${FILESDIR}"/iptables-1.3.2.init ip6tables || die
+ newconfd "${FILESDIR}"/ip6tables-1.3.2.confd ip6tables || die
+}